Name:		aumix
Summary:	A GTK+ / Ncurses audio mixer
Version:	2.9.1
Release:	%mkrel 11
License:	GPLv1
Group:		Sound/Mixers
Source0:	http://www.jpj.net/~trevor/aumix/%{name}-%{version}.tar.bz2
URL: 		http://www.jpj.net/~trevor/aumix.html
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	gtk+2-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
Requires:	initscripts >= 4.42

%description
This is a program for adjusting audio mixers from the command line or scripts,
or interactively at the console or a terminal with a full-screen, ncurses-based
interface or a GTK-based X interface.

%package text
Summary:	An Ncurses audio mixer
License:	GPLv1
Group:		Sound/Mixers

%description text
This is a program for adjusting audio mixers from the command line or scripts,
or interactively at the console or a terminal with a full-screen, ncurses-based
interface .

%prep
%setup -q

%build
%define _legacy_common_support 1
autoreconf -vfi

mkdir build-text
pushd build-text
CONFIGURE_TOP=.. %configure --without-gtk
%make_build
popd
mkdir build-gui
pushd build-gui
CONFIGURE_TOP=.. %configure
%make_build
popd

%install
%make_install -C build-gui

install -m755 build-text/src/aumix %{buildroot}%{_bindir}/aumix-text

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Aumix
Comment=Basic volume controller
Exec=%{name}
Icon=sound_section
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Audio;Mixer;
EOF

%find_lang %name

%files -f %{name}.lang
%doc README TODO NEWS ChangeLog
%{_bindir}/%{name}
%{_bindir}/mute
%{_bindir}/x%{name}
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}

%files text
%{_bindir}/%{name}-text


%changelog
* Mon Jun 29 2020 joequant <joequant> 2.9.1-11.mga8
+ Revision: 1600464
- fix gcc10

* Wed Feb 12 2020 umeabot <umeabot> 10.mga8-current
+ Revision: 1510478
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 21 2018 umeabot <umeabot> 2.9.1-9.mga7
+ Revision: 1295156
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 2.9.1-8.mga7
+ Revision: 1234542
- fix build on aarch64

* Sun Jan 17 2016 daviddavid <daviddavid> 2.9.1-7.mga6
+ Revision: 924853
- switch to %%configure2_5x to fix build
- fix license

* Wed Oct 15 2014 umeabot <umeabot> 2.9.1-6.mga5
+ Revision: 751022
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9.1-5.mga5
+ Revision: 678049
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.9.1-4.mga4
+ Revision: 502955
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.9.1-3.mga3
+ Revision: 346603
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 zezinho <zezinho> 2.9.1-2.mga3
+ Revision: 321873
- fix rpm group

* Wed Sep 07 2011 tv <tv> 2.9.1-1.mga2
+ Revision: 140082
- new release
- drop merged patches

* Tue Jan 11 2011 blino <blino> 2.8-22.mga1
+ Revision: 5706
- use macros for vendor name
- remove old ldconfig scriptlets
+ pterjan <pterjan>
- imported package aumix

